import { Functional } from '../../../../Class/Functional';
import { System } from '../../../../system';
export interface I<T> {
    a: T;
    b: boolean;
}
export interface O<T> {
    'a if b': T;
}
export default class If<T> extends Functional<I<T>, O<T>> {
    constructor(system: System);
    f({ a, b }: I<T>, done: any): void;
}
